<?php
    $iPage = max( $_GET["page"]-1, 0);
    $strTitle .= ' | Logfile | Seite '.($iPage+1);

    $iEintraegeProSeite = max( $_GET["eps"], $bCounter_logfile_eps );
    $strSQLstring = "SELECT COUNT(*) FROM ".$bCounter_dbPrefix."data";
    $SQLresult = $bCounterDB->query($strSQLstring);
    $iEintraegeGesamt = mysql_result( $SQLresult, 0, 0 );

    $strDivNav3 .= $bCounter->get_nav_pages( $iPage+1, $iEintraegeProSeite, $iEintraegeGesamt, $_GET["load"] );

    $strSQLstring = "SELECT * FROM ".$bCounter_dbPrefix."data ORDER BY id DESC LIMIT ".($iPage*$iEintraegeProSeite).",$iEintraegeProSeite";
    $SQLresult = $bCounterDB->query($strSQLstring);
    $strDivBody .= '<h2>Einzelne Seitenzugriffe</h2>'."\n";
    if ( @mysql_num_rows($SQLresult) > 0 ) {
        $strDivBody .= '<table>'."\n";
        $strDivBody .= '<tr><th>ID</th><th>Status</th><th>User Agent</th><th>IP Land Host</th><th>URI-Aufruf</th><th>URL-Anzeige</th><th>Datum</th><th>Referrer</th></tr>'."\n";
        for ( $i = 0; $i < @mysql_num_rows($SQLresult); $i++ ) {
            $strDivBody .= '<tr>'."\n";
            $strDivBody .= '<td class="right">';
            $strDivBody .= mysql_result($SQLresult, $i, "id");
            $strDivBody .= '</td>'."\n";


            $strDivBody .= '<td class="right">';
            $strDivBody .= mysql_result($SQLresult, $i, "redirect_status");
            $strDivBody .= '</td>'."\n";


            $strDivBody .= '<td>';
            $strDivBody .= mysql_result($SQLresult, $i, "user_agent");
            $strDivBody .= '</td>'."\n";


            $iIP = mysql_result($SQLresult, $i, "remote_addr");
            $arrLandInfo = IP2Country($iIP);
            $strDivBody .= '<td>';
            $strDivBody .= '<img src="./img/alpha2/'.$arrLandInfo["alpha2"].'.png" width="16" height="11" alt="" />&nbsp;<a href="http://api.hostip.info/get_html.php?ip='.$iIP.'&amp;position=true" target="_blank">'.bCounter_printIP($iIP)."</a><br />".$arrLandInfo["land"];
$strDivBody .= "<br />".bCounter_printHost(mysql_result($SQLresult, $i, "host"));
            $strDivBody .= '</td>'."\n";


            $strRequestURI = htmlentities(mysql_result($SQLresult, $i, "request_uri"));
            $strDivBody .= '<td>';
            $strDivBody .= '<a href="'.$strRequestURI.'">'.$strRequestURI.'</a>';
            $strDivBody .= '</td>'."\n";


            $strRedirectURL = htmlentities(mysql_result($SQLresult, $i, "redirect_url"));
            if ( strlen($strRedirectURL) == 0 ) {
                $strRedirectURL = "/";
            }
            $strDivBody .= '<td>';
            $strDivBody .= '<a href="'.$strRedirectURL.'">'.$strRedirectURL.'</a>';
            $strDivBody .= '</td>'."\n";


            $iTimestamp = mysql_result($SQLresult, $i, "timestamp");
            $strDivBody .= '<td>';
            if ( $iTimestamp > 0 )
                $strDivBody .= date("d.m.y H:i:s", $iTimestamp);
            else
                $strDivBody .= "-";
            $strDivBody .= '</td>'."\n";


            $strReferrer = htmlentities(mysql_result($SQLresult, $i, "referer"));
            if ( strlen($strReferrer) > 0 ) {
                $strDivBody .= '<td>';
                $strDivBody .= '<a href="'.$strReferrer.'" target="_blank">'.bCounter_printURL($strReferrer).'</a>';
            }else{
                $strDivBody .= '<td class="center">&#8213;';
            }
            $strDivBody .= '</td>'."\n";
            $strDivBody .= '</tr>'."\n";
        }
        $strDivBody .= "</table>";
    }else{
        $strDivBody .= '<div class="table">'."\n";
        $strDivBody .= '<p>Keine Daten vorhanden.</p>'."\n";
        $strDivBody .= '</div>'."\n";
    }
?>